/*###########################################################################
#                                                                           #
#						FONTX ֐Q									#
#                                                                           #
###########################################################################*/
#ifndef __FONTS_H__
#define __FONTS_H__

#include <avr/io.h>

#define FONT_ENTRY_MEMORY 0				/* 1:Gg[e[uSRAMɒu	*/
										/* 0:sxtbV擾			*/

#define FONT_COUNT_MAX  4				/* ǗtHg					*/
#define FL_FONT_START 2					/* tHgt@CJnCfbNX	*/
										/* 1tHg2gp				*/

#define FONT_WIDTH_MAX	24				/* ő剡hbg					*/
#define FONT_HEIGHT_MAX	24				/* őchbg					*/
#define FONT_DATA_MAX_LENGTH ( ( ( FONT_WIDTH_MAX + 7 ) / 8 ) * FONT_HEIGHT_MAX )

/* tHg\ (14bytes)			*/
typedef struct FONT_t {
	uint8_t codeType;					/* 0:ASCII 1:					*/
	uint8_t tnum;						/* codeType = 1 : Gg[		*/
	uint8_t xsize;						/* TCY							*/
	uint8_t ysize;						/* cTCY							*/
	uint8_t linePerBytes;				/* 1C̃oCg				*/
	uint8_t charPerBytes;				/* 1̃oCg					*/
	uint16_t entPage;					/* Gg[擪y[W				*/
	uint16_t entOffset;					/* Gg[擪ItZbg			*/
	uint32_t dataTop;					/* tHg擪AhX				*/
} FONT;

/* tHgZbg\ (28bytes)	*/
typedef struct FONT_SET_t {
	FONT hFont;
	FONT zFont;
} FONT_SET;

/* ֐vg^Cv錾				*/
uint8_t font_init( void );
uint8_t font_count( void );
uint16_t font_entrySize( void );
FONT *font_getImage( uint8_t fontIndex ,uint16_t code ,uint8_t *img );
uint8_t font_getInfo( uint16_t index ,FONT *fnt );

#endif
